Commit 1638425e authored by Philip Müller's avatar Philip Müller

[pkg-upd] 20200324-2

parent 3dd484a7
......@@ -2,7 +2,7 @@
# Maintainer : Bernhard Landauer <oberon@manjaro.org>
pkgname=manjaro-system
pkgver=20200323
pkgver=20200324
pkgrel=2
pkgdesc="Manjaro Linux System - Update script"
arch=('any')
......@@ -15,7 +15,7 @@ source=('fsck.overlay'
'dtd-wayland'
'dtd-wayland.desktop')
sha256sums=('e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855'
'22bb5880758f88ac6c0307cfade317954f4e2ebc829019f958035b9d2ad24fdb'
'e77231241ae4004067e7f81c63dfddaa1563a5e845eeb46be4542df12e8ace3b'
'1e8c6b709d915532f11ba39beedd3a9eebd3dc9658a7c343e20419417e2dbdf7')
pkgver() {
......
......@@ -42,6 +42,22 @@ detectDE()
post_upgrade() {
# Fix hplip 3.20.3-2 upgrade
if [[ "$(pacman -Qq | grep 'hplip' -m1)" == "hplip" ]] && \
[[ "$(vercmp $(pacman -Q | grep 'hplip' -m1 | cut -d' ' -f2) 3.20.3-2)" -le 0 ]]; then
msg "Fixing file conflicts for 'hplip' update for you ..."
rm /var/lib/pacman/db.lck &> /dev/null
pacman -S hplip --noconfirm --overwrite /usr/share/hplip/\*
fi
# Fix firewalld 0.8.1-2 upgrade
if [[ "$(pacman -Qq | grep 'firewalld' -m1)" == "firewalld" ]] && \
[[ "$(vercmp $(pacman -Q | grep 'firewalld' -m1 | cut -d' ' -f2) 0.8.1-2)" -le 0 ]]; then
msg "Fixing file conflicts for 'firewalld' update for you ..."
rm /var/lib/pacman/db.lck &> /dev/null
pacman -S firewalld --noconfirm --overwrite /usr/lib/python3.8/site-packages/firewall/\*
fi
# replace gtk3-classic with regular upstream gtk3 unless reinstalled since m-s 20191208-1
if [[ "$(vercmp $2 20191208)" -lt 0 ]] && \
[[ "$(pacman -Qq | grep 'gtk3-classic' -m1)" == "gtk3-classic" ]]; then
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment